//=============================================================================
// PrecipParticle.
//=============================================================================
class PrecipParticle expands Effects;

//=============================================================================
// PrecipitationParticle.
//
// Actor Created by Steve Nabors
// http://www.planetunreal.com/slick
// Feb 2001
//
// This actor is controlled by PercipitationGenerator and should not be
// added to the map by itself.
//
//=============================================================================

var bool LSpawn;
var class<effects>LSpawnType;
var float LSpawnSize;
var bool bLOS;
var PlayerPawn pp;

function playring()
{
	local effects e;

	foreach RadiusActors( class'PlayerPawn', pp, 640.0)
	   	if (pp.LineOfSightTo(self) && viewport(pp.Player) != None)
		{
		e = Spawn(LSpawnType,,,,rot(16384,0,0));
		e.DrawScale = LSpawnSize;
		e.RemoteRole = Role_None;
		}
}

auto state fallingstate
{

	function HitWall( vector HitNormal, actor HitWall )
	{
		if(LSpawn)
			playring();
		Destroy();
	}

	function Landed(vector HitNormal)
	{
		if(LSpawn)
			playring();
		Destroy();	
	}

	function ZoneChange( Zoneinfo NewZone )
	{
		if (LSpawn && NewZone.bWaterZone)
		{	PlayRing();
			Destroy();
		}
		if(NewZone.bWaterZone)
			Destroy();
	}

	Begin:
	if(bLOS)
	{
	foreach AllActors( class'PlayerPawn', pp)
   	if (!pp.LineOfSightTo(self) || viewport(pp.Player) == None)
		Destroy();
	}
}

defaultproperties
{
     Physics=PHYS_Projectile
     RemoteRole=ROLE_None
     LifeSpan=5.000000
     DrawType=DT_Sprite
     bUnlit=True
     CollisionRadius=1.000000
     CollisionHeight=1.000000
     bCollideWorld=True
}
