//-----------------------------------------------------------
//
//-----------------------------------------------------------
class SunShockProj expands ShockProj;

#exec texture import name=sunasmdalt_a00 file=d:\unrealtournament\rainbowshockrifle\sunasmdalt_a00.pcx
#exec texture import name=sunasmdalt_a01 file=d:\unrealtournament\rainbowshockrifle\sunasmdalt_a01.pcx
#exec texture import name=sunasmdalt_a02 file=d:\unrealtournament\rainbowshockrifle\sunasmdalt_a02.pcx
#exec texture import name=sunasmdalt_a03 file=d:\unrealtournament\rainbowshockrifle\sunasmdalt_a03.pcx


function SuperExplosion()
{
	HurtRadius(Damage*2.5, 300, MyDamageType, MomentumTransfer*2, Location );

	Spawn(Class'sun_ComboRing',,'',Location, Instigator.ViewRotation);
	PlaySound(ExploSound,,20.0,,2000,0.6);

	Destroy();
}

function Explode(vector HitLocation,vector HitNormal)
{
	PlaySound(ImpactSound, SLOT_Misc, 0.5,,, 0.5+FRand());
	HurtRadius(Damage, 250, MyDamageType, MomentumTransfer, Location );
	if (Damage > 60)
		Spawn(class'sun_comboring',,, HitLocation+HitNormal*8,rotator(HitNormal));
	else
		Spawn(class'sun_comboring',,, HitLocation+HitNormal*8,rotator(Velocity));

	Destroy();
}

defaultproperties
{
     Damage=100.000000
     ExplosionDecal=Class'MH4ever.BlackEnergyImpact'
     Texture=Texture'MH4ever.sunasmdalt_a00'
     LightHue=25
     LightSaturation=50
}
