//-----------------------------------------------------------
//
//-----------------------------------------------------------
class WaterSplash expands BioSplash;

#exec obj load file="..\textures\genfluid.utx"

simulated function SetWall(vector HitNormal, Actor Wall)
{
	local vector TraceNorm, TraceLoc, Extent;
	local actor HitActor;
	local rotator RandRot;

	SurfaceNormal = HitNormal;
	if ( Level.NetMode != NM_DedicatedServer )
	RandRot = rotator(HitNormal);
	RandRot.Roll += 32768;
	SetRotation(RandRot);
	if ( Mover(Wall) != None )
		SetBase(Wall);
}

function Timer()
{
	local waterRingExplosion f;

	f = spawn(class'waterRingExplosion',,,Location + SurfaceNormal*8);
	if ( (Mover(Base) != None) && Mover(Base).bDamageTriggered )
		Base.TakeDamage( Damage, instigator, Location, MomentumTransfer * Normal(Velocity), MyDamageType);

	HurtRadius(damage * Drawscale, 200, MyDamageType, MomentumTransfer * Drawscale, Location);
	Destroy();
}

defaultproperties
{
     MyDamageType=Drowned
     Texture=Texture'genfluid.Water.Water1'
     LightHue=150
}
